#!/usr/bin/env python3.6
# -*- coding:utf-8 -*-
""" stupid countdown beer app to amuse my colleagues and collect buzzwords """

from flask import Flask
from flask import render_template
from flask import send_from_directory

# pylint: disable=invalid-name
app = Flask(__name__)
app.url_map.strict_slashes = False

@app.route('/')
@app.route('/<int(min=0, max=23):hours>')
@app.route('/<int(min=0, max=23):hours>/<int(min=0, max=59):minutes>')
def index(hours=None, minutes=None):
    """ main and only app """

    if hours:
        if not minutes:
            minutes = 0
    else:
        hours = 17
        minutes = 30

    data = render_template('beer.html', hours=hours, minutes=minutes)
    return data

@app.route('/favicon.ico')
def favicon():
    """ serve the favicon """
    return send_from_directory('static', 'favicon.ico')

def main():
    """ main func """
    app.run(host='::')


if __name__ == '__main__':
    main()
